[API]
LoadStringA
LoadStringW

[INCLUDE]
GenericInit
PeekS

[CODE]
Public Function LoadResEx_StringFromDLL(ByVal hModule As Long, ByVal ResID As Long) As String
  Dim xLong1 As Long

  If IsUnicode Then
    xLong1 = LoadStringW(hModule, ResID, ptrTemp, ptrTempSizeXW)
    Else
    xLong1 = LoadStringA(hModule, ResID, ptrTemp, ptrTempSizeX)
    End If
  If Not xLong1 = 0& Then
    LoadResEx_StringFromDLL = PeekS(ptrTemp, xLong1)
    End If
  End Function